Latest4.0.0
Homepagehttps://github.com/ricardopereira/PremierKit
LicenseMIT
Platformsios 9.0, requires ARC
FrameworksUIKit
Authors

PremierKit
CocoaPods Compatible
Swift 4.1
Platforms iOS
License MIT

Base code for iOS apps.

Installation

PremierKit Carthage

To install it, simply add the following line to your Cartfile:

github "ricardopereira/PremierKit"

Then run carthage update.

Follow the current instructions in Carthage’s README
for up to date installation instructions.

PremierKit CocoaPods

To install it, simply add the following line to your Podfile:

pod "PremierKit"

You will also need to make sure you’re opting into using frameworks:

use_frameworks!

Then run pod install with CocoaPods 1.3 or newer.

Manually

Download all the source files and drop them into your project.

Requirements

  • iOS 9.0+
  • Xcode 9.0+ (Swift 4.1)

Author

Ricardo Pereira, @ricardopereiraw

License

PremierKit is available under the MIT license. See the LICENSE file for more info.

Latest podspec

{
    "name": "PremierKit",
    "version": "4.0.0",
    "summary": "Base code for iOS apps",
    "homepage": "https://github.com/ricardopereira/PremierKit",
    "license": "MIT",
    "authors": {
        "Ricardo Pereira": "[email protected]"
    },
    "source": {
        "git": "https://github.com/ricardopereira/PremierKit.git",
        "tag": "4.0.0"
    },
    "social_media_url": "https://twitter.com/ricardopereiraw",
    "platforms": {
        "ios": "9.0"
    },
    "requires_arc": true,
    "swift_version": "4.1",
    "source_files": [
        "PremierKit/*.{h}",
        "Source/**/*.{h,swift}"
    ],
    "frameworks": "UIKit"
}

Pin It on Pinterest

Share This